package cn.reghao.tnb.search.esapp.service;

import cn.reghao.tnb.search.esapp.es.ElasticService;
import cn.reghao.tnb.search.esapp.es.QueryService;
import cn.reghao.tnb.search.esapp.model.po.Wenshu;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Service;

/**
 * @author reghao
 * @date 2025-03-17 09:49:48
 */
@Service
public class WenshuSearch {
    private QueryService<Wenshu> queryService;
    private String index = "wenshu";

    public WenshuSearch(ElasticService elasticService) {
        this.queryService = new QueryService<>(elasticService);
    }

    public Page<Wenshu> search(String keyword, Pageable pageable) {
        int pn = pageable.getPageNumber()+1;
        int ps = pageable.getPageSize();
        return Page.empty();
    }
}
